<div class="bank-account-create">
  <mat-card>
    <mat-card-title class="card-container">
      Thêm mới
      <button mat-raised-button color="primary" [routerLink]="['/']">
        Quay lại
      </button>
    </mat-card-title>
    <mat-card-content class="bank-account-create-content">
      <form [formGroup]="bank_account_form">
        <p>
          <mat-form-field>
            <input matInput placeholder="Acc NUM" formControlName="account_number" required>
          </mat-form-field>
        </p>
        <p>
          <mat-form-field>
            <input matInput type="number" placeholder="balance" formControlName="balance" required>
          </mat-form-field>
        </p>
        <p>
          <mat-form-field>
            <input matInput placeholder="firstname" formControlName="firstname" required>
          </mat-form-field>
          <mat-form-field>
            <input matInput placeholder="lastname" formControlName="lastname" required>
          </mat-form-field>
        </p>
        <p>
          <mat-form-field>
            <input matInput type="number" placeholder="age" formControlName="age" required>
          </mat-form-field>
        </p>
        <p>
          <mat-form-field>
            <mat-label>Gender</mat-label>
            <mat-select formControlName="gender" required>
              <mat-option value="M">Male</mat-option>
              <mat-option value="F">Female</mat-option>
            </mat-select>
          </mat-form-field>
        </p>
        <p>
          <mat-form-field>
            <textarea matInput placeholder="address" formControlName="address" required></textarea>
          </mat-form-field>
        </p>
        <p>
          <mat-form-field>
            <input matInput placeholder="employer" formControlName="employer" required>
          </mat-form-field>
        </p>
        <p>
          <mat-form-field>
            <input matInput type="email" placeholder="email" formControlName="email" required>
          </mat-form-field>
        </p>
        <p>
          <mat-form-field>
            <input matInput placeholder="city" formControlName="city" required>
          </mat-form-field>
          <mat-form-field>
            <input matInput placeholder="state" formControlName="state" required>
          </mat-form-field>
        </p>
        <p>
          <button *ngIf="role=='admin'" type="submit" class="mat-raised-button mat-primary" (click)="createBankAccount()">
            Tạo mới
          </button>
        </p>
      </form>
    </mat-card-content>
  </mat-card>
</div>
